package parser;

import java.io.File;
import java.io.IOException;
import java.util.ArrayList;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import model.Actor;
import model.BoundingSphere;
import model.Box;
import model.components.ActorComponent;
import model.components.PhysicsComponent;
import model.components.RenderComponent;
import model.components.TransformComponent;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.xml.sax.SAXException;

/**
 * Prototypische Klasse, in der eine <Scene>-XML Datei nach
 * dem DOM-Modell geparst wird
 * 
 * @author Erik Wittkorn
 */
public class DOMSceneParser {
	
/**
 * Bekommt als Eingabe den Namen einer XML-Datei, die nach dem DOM-Model geparst wird
 * und gibt eine Liste mit Instanzen der model-Klassen zuerueck
 * @param filename Name der XML-Datei
 * @return Liste mit gefuellten Instanzen der model-Klassen
 */
	public static ArrayList<Actor> parse(String filename) {
		ArrayList<Actor> results = new ArrayList<Actor>();
		

			//TODO: Die XML-Datei oeffnen und analog zur Demo das Parsing nach dem DOM-Modell
			//		starten. Nodes, die eine Komponente beschreiben, koennen in der Hilfsfunktion
			//		bearbeitet werden.
		
		return results;
	}
	
	/**
	 * Hilfsfunktion, die eine Komponenten-Node parst und daraus eine
	 * Actorkomponente mit entsprechenenden Eigenschaften erstellt
	 * @param componentNode die XML-Node einer Actorkomponente
	 * @return die aus der XML generierte Actorkomponente
	 */
	private static ActorComponent createActorComponent(Node componentNode) {
		ActorComponent componentResult = null;
		
		//TODO: Abfragen, welche Komponente diese Node beschreibt und entprechend ein Objekt
		//		erstellen, das alle Eigenschaften und Objekte besitzt, die in der XML beschrieben sind
		
		return componentResult;
	}

}
