package input;

import logic.TestBedLogic;
import event.EventData;
import event.EventListener;
import event.events.ToggleEvent;
import events.ControlEvents;

public class InputListener implements EventListener {

	@Override
	public void trigger(EventData data) {

		ToggleEvent controlEvent = (ToggleEvent)data;
		switch (controlEvent.getId()) {
			case ControlEvents.ForwardEvent.ID :
				if (controlEvent.isActivated()) {
					TestBedLogic.movePlayer(TestBedLogic.DIR_NEG_Z);
				}
				break;
			case ControlEvents.BackwardEvent.ID :
				if (controlEvent.isActivated()) {
					TestBedLogic.movePlayer(TestBedLogic.DIR_POS_Z);
				}
				break;
			case ControlEvents.LeftwardEvent.ID :
				if (controlEvent.isActivated()) {
					TestBedLogic.movePlayer(TestBedLogic.DIR_NEG_X);
				}
				break;
			case ControlEvents.RightwardEvent.ID :
				if (controlEvent.isActivated()) {
					TestBedLogic.movePlayer(TestBedLogic.DIR_POS_X);
				}
				break;
//			case ControlEvents.UpEvent.ID :
//				if (controlEvent.isActivated()) {
//					TileGameLogic.moveTiles(TileBoard.BOARD_NEG_Y);
//					TestBedLogic.movePlayer(TestBedLogic.DIR_NEG_Y);
//				}
//				break;
//			case ControlEvents.DownEvent.ID :
//				if (controlEvent.isActivated()) {
//					TileGameLogic.moveTiles(TileBoard.BOARD_POS_Y);
//				}
//				break;
//			case ControlEvents.LeftEvent.ID :
//				if (controlEvent.isActivated()) {
//					TileGameLogic.moveTiles(TileBoard.BOARD_NEG_X);
//				}
//				break;
//			case ControlEvents.RightEvent.ID :
//				if (controlEvent.isActivated()) {
//					TileGameLogic.moveTiles(TileBoard.BOARD_POS_X);
//				}
//				break;
//			case ControlEvents.EnterEvent.ID :
//				if (controlEvent.isActivated()) {
//					TileGameLogic.moveTilesAuto();
//				}
			default:
				break;	
		}
	}

}
