package main;

import logic.TestBedLogic;
import view.scene.SceneScreenElement;

public class TestBed {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		GameApp.setGameLogic(new TestBedLogic());
        GameApp.setConfigFile(Main.class.getResourceAsStream("/main/testbed_defaultconfig.ini"));
		if (GameApp.init()) {
            GameApp.getGameLogic().getHumanView().pushElement(new SceneScreenElement("basescene"));
			GameApp.getGameLogic().loadLevel("levels/testbed2.xml");
			GameApp.mainloop();
			GameApp.destroy();
		} else {
			System.err.println("Something went horribly wrong");
		}
	}

}
