package components;

import org.w3c.dom.Node;

import actor.ActorComponent;

/**
 * Komponente, die zur Identifikation eines Pickups dient
 * 
 * @author Erik Wittkorn
 */
public class PickupComponent extends ActorComponent {

	/**
	 * Eindeutige ID der Komponente
	 */
	public static final int ID = 0x1f40dc6c;
	
	@Override
	protected int getComponentId() {
		return ID;
	}

	@Override
	protected boolean init(Node data) {
		// Muss true zurueckliefern, wird sonst nicht aktiv
		return true;
	}

}
